# DescribeTencentRegions

## 1. API Description

This API is used to query location information supported for the Tencent Cloud access point.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="188">Parameter Name</th><th width="116">Required</th><th width="88">Type</th><th>Description</th></tr></thead><tbody><tr><td>product</td><td>No</td><td>String</td><td><p>Supported products at the location<br>Available value:</p><ul><li><code>PrivateConnect</code>: Layer 2 Private Connect</li><li><code>CloudRouter</code>: Layer 3 Cloud Router</li></ul></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="195.33333333333331">Parameter Name</th><th width="163">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>cloudRegions</td><td>Array of <a href="../../datastructure#cloudregion">CloudRegion</a></td><td>Location information of Tencent Cloud access point.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query location information supported for the Tencent Cloud access point.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeTencentRegions
<Common Request Params>

Request：
{}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "cloudRegions":[
        {
            "cloudRegionId":"ap-hongkong-kc",
            "dataCenter":{
                "dcId":"HKG2",
                "cityName":"Hong Kong",
                "areaName":"Asia Pacific",
                "dcName":"Equinix_HK2",
                "latitude":22.362572,
                "longitude":114.119218,
                "dcAddress":"Unit 1703 - 04, 17/F Kerry Warehouse 3 Shing Yiu Street Kwai Chung, N.T., Hong Kong",
                "countryName":"China"
            },
            "products":[
                "PrivateConnect",
                "CloudRouter"
            ]
        }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
